创建音频路由组
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
创建新的 audioRoutingGroup。
Permissions
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
不支持。 |
| 委派(个人 Microsoft 帐户) |
不支持。 |
| Application |
Calls.JoinGroupCalls.All、Calls.InitiateGroupCalls.All |
HTTP 请求
POST /app/calls/{id}/audioRoutingGroups
POST /communications/calls/{id}/audioRoutingGroups
注意:/app 路径已弃用。 今后将使用 /communications 路径。
| 名称 |
说明 |
| Authorization |
Bearer {token}。必需。 |
请求正文
在请求正文中,提供 audioRoutingGroup 对象的 JSON 表示形式。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 audioRoutingGroup 对象。
示例
示例 1:一对一音频路由组
请求
下面为请求示例。
POST https://graph.microsoft.com/beta/communications/calls/{id}/audioRoutingGroups
Content-Type: application/json
Content-Length: 233
{
"id": "oneToOne",
"routingMode": "oneToOne",
"sources": [
"632899f8-2ea1-4604-8413-27bd2892079f"
],
"receivers": [
"550fae72-d251-43ec-868c-373732c2704f"
]
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var audioRoutingGroup = new AudioRoutingGroup
{
Id = "oneToOne",
RoutingMode = RoutingMode.OneToOne,
Sources = new List<String>()
{
"632899f8-2ea1-4604-8413-27bd2892079f"
},
Receivers = new List<String>()
{
"550fae72-d251-43ec-868c-373732c2704f"
}
};
await graphClient.Communications.Calls["{call-id}"].AudioRoutingGroups
.Request()
.AddAsync(audioRoutingGroup);
const options = {
authProvider,
};
const client = Client.init(options);
const audioRoutingGroup = {
id: 'oneToOne',
routingMode: 'oneToOne',
sources: [
'632899f8-2ea1-4604-8413-27bd2892079f'
],
receivers: [
'550fae72-d251-43ec-868c-373732c2704f'
]
};
await client.api('/communications/calls/{id}/audioRoutingGroups')
.version('beta')
.post(audioRoutingGroup);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/communications/calls/{id}/audioRoutingGroups"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphAudioRoutingGroup *audioRoutingGroup = [[MSGraphAudioRoutingGroup alloc] init];
[audioRoutingGroup setId:@"oneToOne"];
[audioRoutingGroup setRoutingMode: [MSGraphRoutingMode oneToOne]];
NSMutableArray *sourcesList = [[NSMutableArray alloc] init];
[sourcesList addObject: @"632899f8-2ea1-4604-8413-27bd2892079f"];
[audioRoutingGroup setSources:sourcesList];
NSMutableArray *receiversList = [[NSMutableArray alloc] init];
[receiversList addObject: @"550fae72-d251-43ec-868c-373732c2704f"];
[audioRoutingGroup setReceivers:receiversList];
NSError *error;
NSData *audioRoutingGroupData = [audioRoutingGroup getSerializedDataWithError:&error];
[urlRequest setHTTPBody:audioRoutingGroupData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
AudioRoutingGroup audioRoutingGroup = new AudioRoutingGroup();
audioRoutingGroup.id = "oneToOne";
audioRoutingGroup.routingMode = RoutingMode.ONE_TO_ONE;
LinkedList<String> sourcesList = new LinkedList<String>();
sourcesList.add("632899f8-2ea1-4604-8413-27bd2892079f");
audioRoutingGroup.sources = sourcesList;
LinkedList<String> receiversList = new LinkedList<String>();
receiversList.add("550fae72-d251-43ec-868c-373732c2704f");
audioRoutingGroup.receivers = receiversList;
graphClient.communications().calls("{id}").audioRoutingGroups()
.buildRequest()
.post(audioRoutingGroup);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewAudioRoutingGroup()
id := "oneToOne"
requestBody.SetId(&id)
routingMode := "oneToOne"
requestBody.SetRoutingMode(&routingMode)
requestBody.SetSources( []String {
"632899f8-2ea1-4604-8413-27bd2892079f",
}
requestBody.SetReceivers( []String {
"550fae72-d251-43ec-868c-373732c2704f",
}
callId := "call-id"
result, err := graphClient.Communications().CallsById(&callId).AudioRoutingGroups().Post(requestBody)
Import-Module Microsoft.Graph.CloudCommunications
$params = @{
Id = "oneToOne"
RoutingMode = "oneToOne"
Sources = @(
"632899f8-2ea1-4604-8413-27bd2892079f"
)
Receivers = @(
"550fae72-d251-43ec-868c-373732c2704f"
)
}
New-MgCommunicationCallAudioRoutingGroup -CallId $callId -BodyParameter $params
在请求正文中,提供 audioRoutingGroup 对象的 JSON 表示形式。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 233
{
"id": "oneToOne",
"routingMode": "oneToOne",
"sources": [
"632899f8-2ea1-4604-8413-27bd2892079f"
],
"receivers": [
"550fae72-d251-43ec-868c-373732c2704f"
]
}
示例 2:多播 audioRoutingGroup
请求
下面为请求示例。
POST https://graph.microsoft.com/beta/communications/calls/{id}/audioRoutingGroups
Content-Type: application/json
Content-Length: 233
{
"id": "multicast",
"routingMode": "multicast",
"sources": [
"632899f8-2ea1-4604-8413-27bd2892079f"
],
"receivers": [
"550fae72-d251-43ec-868c-373732c2704f",
"72f988bf-86f1-41af-91ab-2d7cd011db47"
]
}
在请求正文中,提供 audioRoutingGroup 对象的 JSON 表示形式。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 233
{
"id": "multicast",
"routingMode": "multicast",
"sources": [
"632899f8-2ea1-4604-8413-27bd2892079f"
],
"receivers": [
"550fae72-d251-43ec-868c-373732c2704f",
"72f988bf-86f1-41af-91ab-2d7cd011db47"
]
}